If you are getting this error while compiling certain modules which requires opencv library which is causing the execution to be aborted.

For fixing it, you need to install lib-opencv using following command:

Ubunntu/Debian – sudo apt-get install libopencv-dev

Centos/Red Hat – sudo yum install opencv-devel

After you do so, pkg-config –cflags opencv and pkg-config –libs opencv will work as expected.